"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwoWayFocusSync = void 0;
const reactronic_1 = require("reactronic");
const api_1 = require("../core/api");
function TwoWayFocusSync(id, target, focusToggle, setNativeFocus) {
    let data = target.associatedData;
    if (data !== undefined)
        data = target.associatedData = {};
    data.focus = focusToggle;
    if (setNativeFocus === undefined)
        setNativeFocus = () => target.focus();
    api_1.RxFragment(id, { fFocusToggle: focusToggle }, (e, o) => {
        const f = focusToggle.value;
        const f1 = focusToggle.value1;
        const active = f === focusToggle.value1 || (f instanceof reactronic_1.Ref && f1 instanceof reactronic_1.Ref && reactronic_1.Ref.sameRefs(f, f1));
        active && setNativeFocus && setNativeFocus();
    });
}
exports.TwoWayFocusSync = TwoWayFocusSync;
