import { Render, Manifest, ComponentRender } from '../core/api';
export declare function RxA<O = void>(id: string, args: any, render: Render<HTMLAnchorElement, O>, componentRender?: ComponentRender<O, HTMLAnchorElement>): Manifest<HTMLAnchorElement, O>;
export declare function RxAbbr<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxAddress<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxArea<O = void>(id: string, args: any, render: Render<HTMLAreaElement, O>, componentRender?: ComponentRender<O, HTMLAreaElement>): Manifest<HTMLAreaElement, O>;
export declare function RxArticle<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxAside<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxAudio<O = void>(id: string, args: any, render: Render<HTMLAudioElement, O>, componentRender?: ComponentRender<O, HTMLAudioElement>): Manifest<HTMLAudioElement, O>;
export declare function RxB<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxBase<O = void>(id: string, args: any, render: Render<HTMLBaseElement, O>, componentRender?: ComponentRender<O, HTMLBaseElement>): Manifest<HTMLBaseElement, O>;
export declare function RxBdi<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxBdo<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxBig<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxBlockQuote<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxBody<O = void>(id: string, args: any, render: Render<HTMLBodyElement, O>, componentRender?: ComponentRender<O, HTMLBodyElement>): Manifest<HTMLBodyElement, O>;
export declare function RxBR<O = void>(id: string, args: any, render: Render<HTMLBRElement, O>, componentRender?: ComponentRender<O, HTMLBRElement>): Manifest<HTMLBRElement, O>;
export declare function RxButton<O = void>(id: string, args: any, render: Render<HTMLButtonElement, O>, componentRender?: ComponentRender<O, HTMLButtonElement>): Manifest<HTMLButtonElement, O>;
export declare function RxCanvas<O = void>(id: string, args: any, render: Render<HTMLCanvasElement, O>, componentRender?: ComponentRender<O, HTMLCanvasElement>): Manifest<HTMLCanvasElement, O>;
export declare function RxCaption<O = void>(id: string, args: any, render: Render<HTMLTableCaptionElement, O>, componentRender?: ComponentRender<O, HTMLTableCaptionElement>): Manifest<HTMLTableCaptionElement, O>;
export declare function RxCite<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxCode<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxCol<O = void>(id: string, args: any, render: Render<HTMLTableColElement, O>, componentRender?: ComponentRender<O, HTMLTableColElement>): Manifest<HTMLTableColElement, O>;
export declare function RxColGroup<O = void>(id: string, args: any, render: Render<HTMLTableColElement, O>, componentRender?: ComponentRender<O, HTMLTableColElement>): Manifest<HTMLTableColElement, O>;
export declare function RxData<O = void>(id: string, args: any, render: Render<HTMLDataElement, O>, componentRender?: ComponentRender<O, HTMLDataElement>): Manifest<HTMLDataElement, O>;
export declare function RxDataList<O = void>(id: string, args: any, render: Render<HTMLDataListElement, O>, componentRender?: ComponentRender<O, HTMLDataListElement>): Manifest<HTMLDataListElement, O>;
export declare function RxDD<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxDel<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxDetails<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxDfn<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxDialog<O = void>(id: string, args: any, render: Render<HTMLDialogElement, O>, componentRender?: ComponentRender<O, HTMLDialogElement>): Manifest<HTMLDialogElement, O>;
export declare function RxDiv<O = void>(id: string, args: any, render: Render<HTMLDivElement, O>, componentRender?: ComponentRender<O, HTMLDivElement>): Manifest<HTMLDivElement, O>;
export declare function RxDL<O = void>(id: string, args: any, render: Render<HTMLDListElement, O>, componentRender?: ComponentRender<O, HTMLDListElement>): Manifest<HTMLDListElement, O>;
export declare function RxDT<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxEM<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxEmbed<O = void>(id: string, args: any, render: Render<HTMLEmbedElement, O>, componentRender?: ComponentRender<O, HTMLEmbedElement>): Manifest<HTMLEmbedElement, O>;
export declare function RxFieldSet<O = void>(id: string, args: any, render: Render<HTMLFieldSetElement, O>, componentRender?: ComponentRender<O, HTMLFieldSetElement>): Manifest<HTMLFieldSetElement, O>;
export declare function RxFigCaption<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxFigure<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxFooter<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxForm<O = void>(id: string, args: any, render: Render<HTMLFormElement, O>, componentRender?: ComponentRender<O, HTMLFormElement>): Manifest<HTMLFormElement, O>;
export declare function RxH1<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, componentRender?: ComponentRender<O, HTMLHeadingElement>): Manifest<HTMLHeadingElement, O>;
export declare function RxH2<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, componentRender?: ComponentRender<O, HTMLHeadingElement>): Manifest<HTMLHeadingElement, O>;
export declare function RxH3<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, componentRender?: ComponentRender<O, HTMLHeadingElement>): Manifest<HTMLHeadingElement, O>;
export declare function RxH4<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, componentRender?: ComponentRender<O, HTMLHeadingElement>): Manifest<HTMLHeadingElement, O>;
export declare function RxH5<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, componentRender?: ComponentRender<O, HTMLHeadingElement>): Manifest<HTMLHeadingElement, O>;
export declare function RxH6<O = void>(id: string, args: any, render: Render<HTMLHeadingElement, O>, componentRender?: ComponentRender<O, HTMLHeadingElement>): Manifest<HTMLHeadingElement, O>;
export declare function RxHead<O = void>(id: string, args: any, render: Render<HTMLHeadElement, O>, componentRender?: ComponentRender<O, HTMLHeadElement>): Manifest<HTMLHeadElement, O>;
export declare function RxHeader<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxHGroup<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxHR<O = void>(id: string, args: any, render: Render<HTMLHRElement, O>, componentRender?: ComponentRender<O, HTMLHRElement>): Manifest<HTMLHRElement, O>;
export declare function RxHtml<O = void>(id: string, args: any, render: Render<HTMLHtmlElement, O>, componentRender?: ComponentRender<O, HTMLHtmlElement>): Manifest<HTMLHtmlElement, O>;
export declare function RxI<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxIFrame<O = void>(id: string, args: any, render: Render<HTMLIFrameElement, O>, componentRender?: ComponentRender<O, HTMLIFrameElement>): Manifest<HTMLIFrameElement, O>;
export declare function RxImg<O = void>(id: string, args: any, render: Render<HTMLImageElement, O>, componentRender?: ComponentRender<O, HTMLImageElement>): Manifest<HTMLImageElement, O>;
export declare function RxInput<O = void>(id: string, args: any, render: Render<HTMLInputElement, O>, componentRender?: ComponentRender<O, HTMLInputElement>): Manifest<HTMLInputElement, O>;
export declare function RxIns<O = void>(id: string, args: any, render: Render<HTMLModElement, O>, componentRender?: ComponentRender<O, HTMLModElement>): Manifest<HTMLModElement, O>;
export declare function RxKbd<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxKeygen<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxLabel<O = void>(id: string, args: any, render: Render<HTMLLabelElement, O>, componentRender?: ComponentRender<O, HTMLLabelElement>): Manifest<HTMLLabelElement, O>;
export declare function RxLegend<O = void>(id: string, args: any, render: Render<HTMLLegendElement, O>, componentRender?: ComponentRender<O, HTMLLegendElement>): Manifest<HTMLLegendElement, O>;
export declare function RxLI<O = void>(id: string, args: any, render: Render<HTMLLIElement, O>, componentRender?: ComponentRender<O, HTMLLIElement>): Manifest<HTMLLIElement, O>;
export declare function RxLink<O = void>(id: string, args: any, render: Render<HTMLLinkElement, O>, componentRender?: ComponentRender<O, HTMLLinkElement>): Manifest<HTMLLinkElement, O>;
export declare function RxMain<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxMap<O = void>(id: string, args: any, render: Render<HTMLMapElement, O>, componentRender?: ComponentRender<O, HTMLMapElement>): Manifest<HTMLMapElement, O>;
export declare function RxMark<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxMenu<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxMenuItem<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxMeta<O = void>(id: string, args: any, render: Render<HTMLMetaElement, O>, componentRender?: ComponentRender<O, HTMLMetaElement>): Manifest<HTMLMetaElement, O>;
export declare function RxMeter<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxNav<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxNoIndex<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxNoScript<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxObj<O = void>(id: string, args: any, render: Render<HTMLObjectElement, O>, componentRender?: ComponentRender<O, HTMLObjectElement>): Manifest<HTMLObjectElement, O>;
export declare function RxOL<O = void>(id: string, args: any, render: Render<HTMLOListElement, O>, componentRender?: ComponentRender<O, HTMLOListElement>): Manifest<HTMLOListElement, O>;
export declare function RxOptGroup<O = void>(id: string, args: any, render: Render<HTMLOptGroupElement, O>, componentRender?: ComponentRender<O, HTMLOptGroupElement>): Manifest<HTMLOptGroupElement, O>;
export declare function RxOption<O = void>(id: string, args: any, render: Render<HTMLOptionElement, O>, componentRender?: ComponentRender<O, HTMLOptionElement>): Manifest<HTMLOptionElement, O>;
export declare function RxOutput<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxP<O = void>(id: string, args: any, render: Render<HTMLParagraphElement, O>, componentRender?: ComponentRender<O, HTMLParagraphElement>): Manifest<HTMLParagraphElement, O>;
export declare function RxParam<O = void>(id: string, args: any, render: Render<HTMLParamElement, O>, componentRender?: ComponentRender<O, HTMLParamElement>): Manifest<HTMLParamElement, O>;
export declare function RxPicture<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxPre<O = void>(id: string, args: any, render: Render<HTMLPreElement, O>, componentRender?: ComponentRender<O, HTMLPreElement>): Manifest<HTMLPreElement, O>;
export declare function RxProgress<O = void>(id: string, args: any, render: Render<HTMLProgressElement, O>, componentRender?: ComponentRender<O, HTMLProgressElement>): Manifest<HTMLProgressElement, O>;
export declare function RxQ<O = void>(id: string, args: any, render: Render<HTMLQuoteElement, O>, componentRender?: ComponentRender<O, HTMLQuoteElement>): Manifest<HTMLQuoteElement, O>;
export declare function RxRP<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxRT<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxRuby<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxS<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxSamp<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxScript<O = void>(id: string, args: any, render: Render<HTMLScriptElement, O>, componentRender?: ComponentRender<O, HTMLScriptElement>): Manifest<HTMLScriptElement, O>;
export declare function RxSection<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxSelect<O = void>(id: string, args: any, render: Render<HTMLSelectElement, O>, componentRender?: ComponentRender<O, HTMLSelectElement>): Manifest<HTMLSelectElement, O>;
export declare function RxSmall<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxSource<O = void>(id: string, args: any, render: Render<HTMLSourceElement, O>, componentRender?: ComponentRender<O, HTMLSourceElement>): Manifest<HTMLSourceElement, O>;
export declare function RxSpan<O = void>(id: string, args: any, render: Render<HTMLSpanElement, O>, componentRender?: ComponentRender<O, HTMLSpanElement>): Manifest<HTMLSpanElement, O>;
export declare function RxStrong<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxStyle<O = void>(id: string, args: any, render: Render<HTMLStyleElement, O>, componentRender?: ComponentRender<O, HTMLStyleElement>): Manifest<HTMLStyleElement, O>;
export declare function RxSub<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxSummary<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxSup<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxTable<O = void>(id: string, args: any, render: Render<HTMLTableElement, O>, componentRender?: ComponentRender<O, HTMLTableElement>): Manifest<HTMLTableElement, O>;
export declare function RxTemplate<O = void>(id: string, args: any, render: Render<HTMLTemplateElement, O>, componentRender?: ComponentRender<O, HTMLTemplateElement>): Manifest<HTMLTemplateElement, O>;
export declare function RxTBody<O = void>(id: string, args: any, render: Render<HTMLTableSectionElement, O>, componentRender?: ComponentRender<O, HTMLTableSectionElement>): Manifest<HTMLTableSectionElement, O>;
export declare function RxTD<O = void>(id: string, args: any, render: Render<HTMLTableDataCellElement, O>, componentRender?: ComponentRender<O, HTMLTableDataCellElement>): Manifest<HTMLTableDataCellElement, O>;
export declare function RxTextArea<O = void>(id: string, args: any, render: Render<HTMLTextAreaElement, O>, componentRender?: ComponentRender<O, HTMLTextAreaElement>): Manifest<HTMLTextAreaElement, O>;
export declare function RxTFoot<O = void>(id: string, args: any, render: Render<HTMLTableSectionElement, O>, componentRender?: ComponentRender<O, HTMLTableSectionElement>): Manifest<HTMLTableSectionElement, O>;
export declare function RxTH<O = void>(id: string, args: any, render: Render<HTMLTableHeaderCellElement, O>, componentRender?: ComponentRender<O, HTMLTableHeaderCellElement>): Manifest<HTMLTableHeaderCellElement, O>;
export declare function RxTHead<O = void>(id: string, args: any, render: Render<HTMLTableSectionElement, O>, componentRender?: ComponentRender<O, HTMLTableSectionElement>): Manifest<HTMLTableSectionElement, O>;
export declare function RxTime<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxTitle<O = void>(id: string, args: any, render: Render<HTMLTitleElement, O>, componentRender?: ComponentRender<O, HTMLTitleElement>): Manifest<HTMLTitleElement, O>;
export declare function RxTR<O = void>(id: string, args: any, render: Render<HTMLTableRowElement, O>, componentRender?: ComponentRender<O, HTMLTableRowElement>): Manifest<HTMLTableRowElement, O>;
export declare function RxTrack<O = void>(id: string, args: any, render: Render<HTMLTrackElement, O>, componentRender?: ComponentRender<O, HTMLTrackElement>): Manifest<HTMLTrackElement, O>;
export declare function RxU<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxUL<O = void>(id: string, args: any, render: Render<HTMLUListElement, O>, componentRender?: ComponentRender<O, HTMLUListElement>): Manifest<HTMLUListElement, O>;
export declare function RxVar<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function RxVideo<O = void>(id: string, args: any, render: Render<HTMLVideoElement, O>, componentRender?: ComponentRender<O, HTMLVideoElement>): Manifest<HTMLVideoElement, O>;
export declare function RxWbr<O = void>(id: string, args: any, render: Render<HTMLElement, O>, componentRender?: ComponentRender<O, HTMLElement>): Manifest<HTMLElement, O>;
export declare function A(id: string, render?: Render<HTMLAnchorElement>): Manifest<HTMLAnchorElement>;
export declare function Abbr(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Address(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Area(id: string, render?: Render<HTMLAreaElement>): Manifest<HTMLAreaElement>;
export declare function Article(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Aside(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Audio(id: string, render?: Render<HTMLAudioElement>): Manifest<HTMLAudioElement>;
export declare function B(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Base(id: string, render?: Render<HTMLBaseElement>): Manifest<HTMLBaseElement>;
export declare function Bdi(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Bdo(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Big(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function BlockQuote(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Body(id: string, render?: Render<HTMLBodyElement>): Manifest<HTMLBodyElement>;
export declare function BR(id: string, render?: Render<HTMLBRElement>): Manifest<HTMLBRElement>;
export declare function Button(id: string, render?: Render<HTMLButtonElement>): Manifest<HTMLButtonElement>;
export declare function Canvas(id: string, render?: Render<HTMLCanvasElement>): Manifest<HTMLCanvasElement>;
export declare function Caption(id: string, render?: Render<HTMLTableCaptionElement>): Manifest<HTMLTableCaptionElement>;
export declare function Cite(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Code(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Col(id: string, render?: Render<HTMLTableColElement>): Manifest<HTMLTableColElement>;
export declare function ColGroup(id: string, render?: Render<HTMLTableColElement>): Manifest<HTMLTableColElement>;
export declare function Data(id: string, render?: Render<HTMLDataElement>): Manifest<HTMLDataElement>;
export declare function DataList(id: string, render?: Render<HTMLDataListElement>): Manifest<HTMLDataListElement>;
export declare function DD(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Del(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Details(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Dfn(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Dialog(id: string, render?: Render<HTMLDialogElement>): Manifest<HTMLDialogElement>;
export declare function Div(id: string, render?: Render<HTMLDivElement>): Manifest<HTMLDivElement>;
export declare function DL(id: string, render?: Render<HTMLDListElement>): Manifest<HTMLDListElement>;
export declare function DT(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function EM(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Embed(id: string, render?: Render<HTMLEmbedElement>): Manifest<HTMLEmbedElement>;
export declare function FieldSet(id: string, render?: Render<HTMLFieldSetElement>): Manifest<HTMLFieldSetElement>;
export declare function FigCaption(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Figure(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Footer(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Form(id: string, render?: Render<HTMLFormElement>): Manifest<HTMLFormElement>;
export declare function H1(id: string, render?: Render<HTMLHeadingElement>): Manifest<HTMLHeadingElement>;
export declare function H2(id: string, render?: Render<HTMLHeadingElement>): Manifest<HTMLHeadingElement>;
export declare function H3(id: string, render?: Render<HTMLHeadingElement>): Manifest<HTMLHeadingElement>;
export declare function H4(id: string, render?: Render<HTMLHeadingElement>): Manifest<HTMLHeadingElement>;
export declare function H5(id: string, render?: Render<HTMLHeadingElement>): Manifest<HTMLHeadingElement>;
export declare function H6(id: string, render?: Render<HTMLHeadingElement>): Manifest<HTMLHeadingElement>;
export declare function Head(id: string, render?: Render<HTMLHeadElement>): Manifest<HTMLHeadElement>;
export declare function Header(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function HGroup(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function HR(id: string, render?: Render<HTMLHRElement>): Manifest<HTMLHRElement>;
export declare function Html(id: string, render?: Render<HTMLHtmlElement>): Manifest<HTMLHtmlElement>;
export declare function I(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function IFrame(id: string, render?: Render<HTMLIFrameElement>): Manifest<HTMLIFrameElement>;
export declare function Img(id: string, render?: Render<HTMLImageElement>): Manifest<HTMLImageElement>;
export declare function Input(id: string, render?: Render<HTMLInputElement>): Manifest<HTMLInputElement>;
export declare function Ins(id: string, render?: Render<HTMLModElement>): Manifest<HTMLModElement>;
export declare function Kbd(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function KeyGen(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Label(id: string, render?: Render<HTMLLabelElement>): Manifest<HTMLLabelElement>;
export declare function Legend(id: string, render?: Render<HTMLLegendElement>): Manifest<HTMLLegendElement>;
export declare function LI(id: string, render?: Render<HTMLLIElement>): Manifest<HTMLLIElement>;
export declare function Link(id: string, render?: Render<HTMLLinkElement>): Manifest<HTMLLinkElement>;
export declare function Main(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Map(id: string, render?: Render<HTMLMapElement>): Manifest<HTMLMapElement>;
export declare function Mark(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Menu(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function MenuItem(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Meta(id: string, render?: Render<HTMLMetaElement>): Manifest<HTMLMetaElement>;
export declare function Meter(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Nav(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function NoIndex(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function NoScript(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Obj(id: string, render?: Render<HTMLObjectElement>): Manifest<HTMLObjectElement>;
export declare function OL(id: string, render?: Render<HTMLOListElement>): Manifest<HTMLOListElement>;
export declare function OptGroup(id: string, render?: Render<HTMLOptGroupElement>): Manifest<HTMLOptGroupElement>;
export declare function Option(id: string, render?: Render<HTMLOptionElement>): Manifest<HTMLOptionElement>;
export declare function Output(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function P(id: string, render?: Render<HTMLParagraphElement>): Manifest<HTMLParagraphElement>;
export declare function Param(id: string, render?: Render<HTMLParamElement>): Manifest<HTMLParamElement>;
export declare function Picture(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Pre(id: string, render?: Render<HTMLPreElement>): Manifest<HTMLPreElement>;
export declare function Progress(id: string, render?: Render<HTMLProgressElement>): Manifest<HTMLProgressElement>;
export declare function Q(id: string, render?: Render<HTMLQuoteElement>): Manifest<HTMLQuoteElement>;
export declare function RP(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function RT(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Ruby(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function S(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Samp(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Script(id: string, render?: Render<HTMLScriptElement>): Manifest<HTMLScriptElement>;
export declare function Section(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Select(id: string, render?: Render<HTMLSelectElement>): Manifest<HTMLSelectElement>;
export declare function Small(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Source(id: string, render?: Render<HTMLSourceElement>): Manifest<HTMLSourceElement>;
export declare function Span(id: string, render?: Render<HTMLSpanElement>): Manifest<HTMLSpanElement>;
export declare function Strong(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Style(id: string, render?: Render<HTMLStyleElement>): Manifest<HTMLStyleElement>;
export declare function Sub(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Summary(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Sup(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Table(id: string, render?: Render<HTMLTableElement>): Manifest<HTMLTableElement>;
export declare function Template(id: string, render?: Render<HTMLTemplateElement>): Manifest<HTMLTemplateElement>;
export declare function TBody(id: string, render?: Render<HTMLTableSectionElement>): Manifest<HTMLTableSectionElement>;
export declare function TD(id: string, render?: Render<HTMLTableDataCellElement>): Manifest<HTMLTableDataCellElement>;
export declare function TextArea(id: string, render?: Render<HTMLTextAreaElement>): Manifest<HTMLTextAreaElement>;
export declare function TFoot(id: string, render?: Render<HTMLTableSectionElement>): Manifest<HTMLTableSectionElement>;
export declare function TH(id: string, render?: Render<HTMLTableHeaderCellElement>): Manifest<HTMLTableHeaderCellElement>;
export declare function THead(id: string, render?: Render<HTMLTableSectionElement>): Manifest<HTMLTableSectionElement>;
export declare function Time(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Title(id: string, render?: Render<HTMLTitleElement>): Manifest<HTMLTitleElement>;
export declare function TR(id: string, render?: Render<HTMLTableRowElement>): Manifest<HTMLTableRowElement>;
export declare function Track(id: string, render?: Render<HTMLTrackElement>): Manifest<HTMLTrackElement>;
export declare function U(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function UL(id: string, render?: Render<HTMLUListElement>): Manifest<HTMLUListElement>;
export declare function Var(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function Video(id: string, render?: Render<HTMLVideoElement>): Manifest<HTMLVideoElement>;
export declare function Wbr(id: string, render?: Render<HTMLElement>): Manifest<HTMLElement>;
export declare function RxSvg<O = void>(id: string, args: any, render: Render<SVGSVGElement, O>, componentRender?: ComponentRender<O, SVGSVGElement>): Manifest<SVGSVGElement, O>;
export declare function RxSvgA<O = void>(id: string, args: any, render: Render<SVGAElement, O>, componentRender?: ComponentRender<O, SVGAElement>): Manifest<SVGAElement, O>;
export declare function RxAnimate<O = void>(id: string, args: any, render: Render<SVGAnimateElement, O>, componentRender?: ComponentRender<O, SVGAnimateElement>): Manifest<SVGAnimateElement, O>;
export declare function RxAnimateMotion<O = void>(id: string, args: any, render: Render<SVGAnimateMotionElement, O>, componentRender?: ComponentRender<O, SVGAnimateMotionElement>): Manifest<SVGAnimateMotionElement, O>;
export declare function RxAnimateTransform<O = void>(id: string, args: any, render: Render<SVGAnimateTransformElement, O>, componentRender?: ComponentRender<O, SVGAnimateTransformElement>): Manifest<SVGAnimateTransformElement, O>;
export declare function RxCircle<O = void>(id: string, args: any, render: Render<SVGCircleElement, O>, componentRender?: ComponentRender<O, SVGCircleElement>): Manifest<SVGCircleElement, O>;
export declare function RxClipPath<O = void>(id: string, args: any, render: Render<SVGClipPathElement, O>, componentRender?: ComponentRender<O, SVGClipPathElement>): Manifest<SVGClipPathElement, O>;
export declare function RxDefs<O = void>(id: string, args: any, render: Render<SVGDefsElement, O>, componentRender?: ComponentRender<O, SVGDefsElement>): Manifest<SVGDefsElement, O>;
export declare function RxDesc<O = void>(id: string, args: any, render: Render<SVGDescElement, O>, componentRender?: ComponentRender<O, SVGDescElement>): Manifest<SVGDescElement, O>;
export declare function RxEllipse<O = void>(id: string, args: any, render: Render<SVGEllipseElement, O>, componentRender?: ComponentRender<O, SVGEllipseElement>): Manifest<SVGEllipseElement, O>;
export declare function RxFeBlend<O = void>(id: string, args: any, render: Render<SVGFEBlendElement, O>, componentRender?: ComponentRender<O, SVGFEBlendElement>): Manifest<SVGFEBlendElement, O>;
export declare function RxFeColorMatrix<O = void>(id: string, args: any, render: Render<SVGFEColorMatrixElement, O>, componentRender?: ComponentRender<O, SVGFEColorMatrixElement>): Manifest<SVGFEColorMatrixElement, O>;
export declare function RxFeComponentTransfer<O = void>(id: string, args: any, render: Render<SVGFEComponentTransferElement, O>, componentRender?: ComponentRender<O, SVGFEComponentTransferElement>): Manifest<SVGFEComponentTransferElement, O>;
export declare function RxFeComposite<O = void>(id: string, args: any, render: Render<SVGFECompositeElement, O>, componentRender?: ComponentRender<O, SVGFECompositeElement>): Manifest<SVGFECompositeElement, O>;
export declare function RxFeConvolveMatrix<O = void>(id: string, args: any, render: Render<SVGFEConvolveMatrixElement, O>, componentRender?: ComponentRender<O, SVGFEConvolveMatrixElement>): Manifest<SVGFEConvolveMatrixElement, O>;
export declare function RxFeDiffuseLighting<O = void>(id: string, args: any, render: Render<SVGFEDiffuseLightingElement, O>, componentRender?: ComponentRender<O, SVGFEDiffuseLightingElement>): Manifest<SVGFEDiffuseLightingElement, O>;
export declare function RxFeDisplacementMap<O = void>(id: string, args: any, render: Render<SVGFEDisplacementMapElement, O>, componentRender?: ComponentRender<O, SVGFEDisplacementMapElement>): Manifest<SVGFEDisplacementMapElement, O>;
export declare function RxFeDistantLight<O = void>(id: string, args: any, render: Render<SVGFEDistantLightElement, O>, componentRender?: ComponentRender<O, SVGFEDistantLightElement>): Manifest<SVGFEDistantLightElement, O>;
export declare function RxFeDropShadow<O = void>(id: string, args: any, render: Render<SVGFEDropShadowElement, O>, componentRender?: ComponentRender<O, SVGFEDropShadowElement>): Manifest<SVGFEDropShadowElement, O>;
export declare function RxFeFlood<O = void>(id: string, args: any, render: Render<SVGFEFloodElement, O>, componentRender?: ComponentRender<O, SVGFEFloodElement>): Manifest<SVGFEFloodElement, O>;
export declare function RxFeFuncA<O = void>(id: string, args: any, render: Render<SVGFEFuncAElement, O>, componentRender?: ComponentRender<O, SVGFEFuncAElement>): Manifest<SVGFEFuncAElement, O>;
export declare function RxFeFuncB<O = void>(id: string, args: any, render: Render<SVGFEFuncBElement, O>, componentRender?: ComponentRender<O, SVGFEFuncBElement>): Manifest<SVGFEFuncBElement, O>;
export declare function RxFeFuncG<O = void>(id: string, args: any, render: Render<SVGFEFuncGElement, O>, componentRender?: ComponentRender<O, SVGFEFuncGElement>): Manifest<SVGFEFuncGElement, O>;
export declare function RxFeFuncR<O = void>(id: string, args: any, render: Render<SVGFEFuncRElement, O>, componentRender?: ComponentRender<O, SVGFEFuncRElement>): Manifest<SVGFEFuncRElement, O>;
export declare function RxFeGaussianBlur<O = void>(id: string, args: any, render: Render<SVGFEGaussianBlurElement, O>, componentRender?: ComponentRender<O, SVGFEGaussianBlurElement>): Manifest<SVGFEGaussianBlurElement, O>;
export declare function RxFeImage<O = void>(id: string, args: any, render: Render<SVGFEImageElement, O>, componentRender?: ComponentRender<O, SVGFEImageElement>): Manifest<SVGFEImageElement, O>;
export declare function RxFeMerge<O = void>(id: string, args: any, render: Render<SVGFEMergeElement, O>, componentRender?: ComponentRender<O, SVGFEMergeElement>): Manifest<SVGFEMergeElement, O>;
export declare function RxFeMergeNode<O = void>(id: string, args: any, render: Render<SVGFEMergeNodeElement, O>, componentRender?: ComponentRender<O, SVGFEMergeNodeElement>): Manifest<SVGFEMergeNodeElement, O>;
export declare function RxFeMorphology<O = void>(id: string, args: any, render: Render<SVGFEMorphologyElement, O>, componentRender?: ComponentRender<O, SVGFEMorphologyElement>): Manifest<SVGFEMorphologyElement, O>;
export declare function RxFeOffset<O = void>(id: string, args: any, render: Render<SVGFEOffsetElement, O>, componentRender?: ComponentRender<O, SVGFEOffsetElement>): Manifest<SVGFEOffsetElement, O>;
export declare function RxFePointLight<O = void>(id: string, args: any, render: Render<SVGFEPointLightElement, O>, componentRender?: ComponentRender<O, SVGFEPointLightElement>): Manifest<SVGFEPointLightElement, O>;
export declare function RxFeSpecularLighting<O = void>(id: string, args: any, render: Render<SVGFESpecularLightingElement, O>, componentRender?: ComponentRender<O, SVGFESpecularLightingElement>): Manifest<SVGFESpecularLightingElement, O>;
export declare function RxFeSpotLight<O = void>(id: string, args: any, render: Render<SVGFESpotLightElement, O>, componentRender?: ComponentRender<O, SVGFESpotLightElement>): Manifest<SVGFESpotLightElement, O>;
export declare function RxFeTile<O = void>(id: string, args: any, render: Render<SVGFETileElement, O>, componentRender?: ComponentRender<O, SVGFETileElement>): Manifest<SVGFETileElement, O>;
export declare function RxFeTurbulence<O = void>(id: string, args: any, render: Render<SVGFETurbulenceElement, O>, componentRender?: ComponentRender<O, SVGFETurbulenceElement>): Manifest<SVGFETurbulenceElement, O>;
export declare function RxFilter<O = void>(id: string, args: any, render: Render<SVGFilterElement, O>, componentRender?: ComponentRender<O, SVGFilterElement>): Manifest<SVGFilterElement, O>;
export declare function RxForeignObject<O = void>(id: string, args: any, render: Render<SVGForeignObjectElement, O>, componentRender?: ComponentRender<O, SVGForeignObjectElement>): Manifest<SVGForeignObjectElement, O>;
export declare function RxG<O = void>(id: string, args: any, render: Render<SVGGElement, O>, componentRender?: ComponentRender<O, SVGGElement>): Manifest<SVGGElement, O>;
export declare function RxSvgImage<O = void>(id: string, args: any, render: Render<SVGImageElement, O>, componentRender?: ComponentRender<O, SVGImageElement>): Manifest<SVGImageElement, O>;
export declare function RxLine<O = void>(id: string, args: any, render: Render<SVGLineElement, O>, componentRender?: ComponentRender<O, SVGLineElement>): Manifest<SVGLineElement, O>;
export declare function RxLinearGradient<O = void>(id: string, args: any, render: Render<SVGLinearGradientElement, O>, componentRender?: ComponentRender<O, SVGLinearGradientElement>): Manifest<SVGLinearGradientElement, O>;
export declare function RxMarker<O = void>(id: string, args: any, render: Render<SVGMarkerElement, O>, componentRender?: ComponentRender<O, SVGMarkerElement>): Manifest<SVGMarkerElement, O>;
export declare function RxMask<O = void>(id: string, args: any, render: Render<SVGMaskElement, O>, componentRender?: ComponentRender<O, SVGMaskElement>): Manifest<SVGMaskElement, O>;
export declare function RxMetadata<O = void>(id: string, args: any, render: Render<SVGMetadataElement, O>, componentRender?: ComponentRender<O, SVGMetadataElement>): Manifest<SVGMetadataElement, O>;
export declare function RxMPath<O = void>(id: string, args: any, render: Render<SVGElement, O>, componentRender?: ComponentRender<O, SVGElement>): Manifest<SVGElement, O>;
export declare function RxPath<O = void>(id: string, args: any, render: Render<SVGPathElement, O>, componentRender?: ComponentRender<O, SVGPathElement>): Manifest<SVGPathElement, O>;
export declare function RxPattern<O = void>(id: string, args: any, render: Render<SVGPatternElement, O>, componentRender?: ComponentRender<O, SVGPatternElement>): Manifest<SVGPatternElement, O>;
export declare function RxPolygon<O = void>(id: string, args: any, render: Render<SVGPolygonElement, O>, componentRender?: ComponentRender<O, SVGPolygonElement>): Manifest<SVGPolygonElement, O>;
export declare function RxPolyline<O = void>(id: string, args: any, render: Render<SVGPolylineElement, O>, componentRender?: ComponentRender<O, SVGPolylineElement>): Manifest<SVGPolylineElement, O>;
export declare function RxRadialGradient<O = void>(id: string, args: any, render: Render<SVGRadialGradientElement, O>, componentRender?: ComponentRender<O, SVGRadialGradientElement>): Manifest<SVGRadialGradientElement, O>;
export declare function RxRect<O = void>(id: string, args: any, render: Render<SVGRectElement, O>, componentRender?: ComponentRender<O, SVGRectElement>): Manifest<SVGRectElement, O>;
export declare function RxStop<O = void>(id: string, args: any, render: Render<SVGStopElement, O>, componentRender?: ComponentRender<O, SVGStopElement>): Manifest<SVGStopElement, O>;
export declare function RxSvgSwitch<O = void>(id: string, args: any, render: Render<SVGSwitchElement, O>, componentRender?: ComponentRender<O, SVGSwitchElement>): Manifest<SVGSwitchElement, O>;
export declare function RxSymbol<O = void>(id: string, args: any, render: Render<SVGSymbolElement, O>, componentRender?: ComponentRender<O, SVGSymbolElement>): Manifest<SVGSymbolElement, O>;
export declare function RxText<O = void>(id: string, args: any, render: Render<SVGTextElement, O>, componentRender?: ComponentRender<O, SVGTextElement>): Manifest<SVGTextElement, O>;
export declare function RxTextPath<O = void>(id: string, args: any, render: Render<SVGTextPathElement, O>, componentRender?: ComponentRender<O, SVGTextPathElement>): Manifest<SVGTextPathElement, O>;
export declare function RxTSpan<O = void>(id: string, args: any, render: Render<SVGTSpanElement, O>, componentRender?: ComponentRender<O, SVGTSpanElement>): Manifest<SVGTSpanElement, O>;
export declare function RxUse<O = void>(id: string, args: any, render: Render<SVGUseElement, O>, componentRender?: ComponentRender<O, SVGUseElement>): Manifest<SVGUseElement, O>;
export declare function RxView<O = void>(id: string, args: any, render: Render<SVGViewElement, O>, componentRender?: ComponentRender<O, SVGViewElement>): Manifest<SVGViewElement, O>;
export declare function Svg(id: string, render?: Render<SVGSVGElement>): Manifest<SVGSVGElement>;
export declare function SvgA(id: string, render?: Render<SVGAElement>): Manifest<SVGAElement>;
export declare function Animate(id: string, render?: Render<SVGAnimateElement>): Manifest<SVGAnimateElement>;
export declare function AnimateMotion(id: string, render?: Render<SVGAnimateMotionElement>): Manifest<SVGAnimateMotionElement>;
export declare function AnimateTransform(id: string, render?: Render<SVGAnimateTransformElement>): Manifest<SVGAnimateTransformElement>;
export declare function Circle(id: string, render?: Render<SVGCircleElement>): Manifest<SVGCircleElement>;
export declare function ClipPath(id: string, render?: Render<SVGClipPathElement>): Manifest<SVGClipPathElement>;
export declare function Defs(id: string, render?: Render<SVGDefsElement>): Manifest<SVGDefsElement>;
export declare function Desc(id: string, render?: Render<SVGDescElement>): Manifest<SVGDescElement>;
export declare function Ellipse(id: string, render?: Render<SVGEllipseElement>): Manifest<SVGEllipseElement>;
export declare function FeBlend(id: string, render?: Render<SVGFEBlendElement>): Manifest<SVGFEBlendElement>;
export declare function FeColorMatrix(id: string, render?: Render<SVGFEColorMatrixElement>): Manifest<SVGFEColorMatrixElement>;
export declare function FeComponentTransfer(id: string, render?: Render<SVGFEComponentTransferElement>): Manifest<SVGFEComponentTransferElement>;
export declare function FeComposite(id: string, render?: Render<SVGFECompositeElement>): Manifest<SVGFECompositeElement>;
export declare function FeConvolveMatrix(id: string, render?: Render<SVGFEConvolveMatrixElement>): Manifest<SVGFEConvolveMatrixElement>;
export declare function FeDiffuseLighting(id: string, render?: Render<SVGFEDiffuseLightingElement>): Manifest<SVGFEDiffuseLightingElement>;
export declare function FeDisplacementMap(id: string, render?: Render<SVGFEDisplacementMapElement>): Manifest<SVGFEDisplacementMapElement>;
export declare function FeDistantLight(id: string, render?: Render<SVGFEDistantLightElement>): Manifest<SVGFEDistantLightElement>;
export declare function FeDropShadow(id: string, render?: Render<SVGFEDropShadowElement>): Manifest<SVGFEDropShadowElement>;
export declare function FeFlood(id: string, render?: Render<SVGFEFloodElement>): Manifest<SVGFEFloodElement>;
export declare function FeFuncA(id: string, render?: Render<SVGFEFuncAElement>): Manifest<SVGFEFuncAElement>;
export declare function FeFuncB(id: string, render?: Render<SVGFEFuncBElement>): Manifest<SVGFEFuncBElement>;
export declare function FeFuncG(id: string, render?: Render<SVGFEFuncGElement>): Manifest<SVGFEFuncGElement>;
export declare function FeFuncR(id: string, render?: Render<SVGFEFuncRElement>): Manifest<SVGFEFuncRElement>;
export declare function FeGaussianBlur(id: string, render?: Render<SVGFEGaussianBlurElement>): Manifest<SVGFEGaussianBlurElement>;
export declare function FeImage(id: string, render?: Render<SVGFEImageElement>): Manifest<SVGFEImageElement>;
export declare function FeMerge(id: string, render?: Render<SVGFEMergeElement>): Manifest<SVGFEMergeElement>;
export declare function FeMergeNode(id: string, render?: Render<SVGFEMergeNodeElement>): Manifest<SVGFEMergeNodeElement>;
export declare function FeMorphology(id: string, render?: Render<SVGFEMorphologyElement>): Manifest<SVGFEMorphologyElement>;
export declare function FeOffset(id: string, render?: Render<SVGFEOffsetElement>): Manifest<SVGFEOffsetElement>;
export declare function FePointLight(id: string, render?: Render<SVGFEPointLightElement>): Manifest<SVGFEPointLightElement>;
export declare function FeSpecularLighting(id: string, render?: Render<SVGFESpecularLightingElement>): Manifest<SVGFESpecularLightingElement>;
export declare function FeSpotLight(id: string, render?: Render<SVGFESpotLightElement>): Manifest<SVGFESpotLightElement>;
export declare function FeTile(id: string, render?: Render<SVGFETileElement>): Manifest<SVGFETileElement>;
export declare function FeTurbulence(id: string, render?: Render<SVGFETurbulenceElement>): Manifest<SVGFETurbulenceElement>;
export declare function Filter(id: string, render?: Render<SVGFilterElement>): Manifest<SVGFilterElement>;
export declare function ForeignObject(id: string, render?: Render<SVGForeignObjectElement>): Manifest<SVGForeignObjectElement>;
export declare function G(id: string, render?: Render<SVGGElement>): Manifest<SVGGElement>;
export declare function SvgImage(id: string, render?: Render<SVGImageElement>): Manifest<SVGImageElement>;
export declare function Line(id: string, render?: Render<SVGLineElement>): Manifest<SVGLineElement>;
export declare function LinearGradient(id: string, render?: Render<SVGLinearGradientElement>): Manifest<SVGLinearGradientElement>;
export declare function Marker(id: string, render?: Render<SVGMarkerElement>): Manifest<SVGMarkerElement>;
export declare function Mask(id: string, render?: Render<SVGMaskElement>): Manifest<SVGMaskElement>;
export declare function MetaData(id: string, render?: Render<SVGMetadataElement>): Manifest<SVGMetadataElement>;
export declare function MPath(id: string, render?: Render<SVGElement>): Manifest<SVGElement>;
export declare function Path(id: string, render?: Render<SVGPathElement>): Manifest<SVGPathElement>;
export declare function Pattern(id: string, render?: Render<SVGPatternElement>): Manifest<SVGPatternElement>;
export declare function Polygon(id: string, render?: Render<SVGPolygonElement>): Manifest<SVGPolygonElement>;
export declare function PolyLine(id: string, render?: Render<SVGPolylineElement>): Manifest<SVGPolylineElement>;
export declare function RadialGradient(id: string, render?: Render<SVGRadialGradientElement>): Manifest<SVGRadialGradientElement>;
export declare function Rect(id: string, render?: Render<SVGRectElement>): Manifest<SVGRectElement>;
export declare function Stop(id: string, render?: Render<SVGStopElement>): Manifest<SVGStopElement>;
export declare function SvgSwitch(id: string, render?: Render<SVGSwitchElement>): Manifest<SVGSwitchElement>;
export declare function Symbol(id: string, render?: Render<SVGSymbolElement>): Manifest<SVGSymbolElement>;
export declare function Text(id: string, render?: Render<SVGTextElement>): Manifest<SVGTextElement>;
export declare function TextPath(id: string, render?: Render<SVGTextPathElement>): Manifest<SVGTextPathElement>;
export declare function TSpan(id: string, render?: Render<SVGTSpanElement>): Manifest<SVGTSpanElement>;
export declare function Use(id: string, render?: Render<SVGUseElement>): Manifest<SVGUseElement>;
export declare function View(id: string, render?: Render<SVGViewElement>): Manifest<SVGViewElement>;
