import { Sensors } from '../core/api';
import { HtmlDrag, HtmlResize } from './HtmlSensor';
export declare class HtmlSensors extends Sensors {
    private readonly resizeObserver;
    currentEvent: Event | undefined;
    eventSource?: HTMLElement | null;
    readonly drag: HtmlDrag;
    readonly resize: HtmlResize;
    constructor();
    observeResizeOfRenderingElement(value: boolean): void;
    preventDefault(): void;
    stopPropagation(): void;
    listen(element: HTMLElement | undefined, enabled?: boolean): void;
    resetFocus(): void;
    protected onFocusIn(e: FocusEvent): void;
    protected onFocusOut(e: FocusEvent): void;
    protected onPointerOver(e: PointerEvent): void;
    protected onPointerMove(e: PointerEvent): void;
    protected onPointerDown(e: PointerEvent): void;
    protected onPointerUp(e: PointerEvent): void;
    protected onLostPointerCapture(e: PointerEvent): void;
    protected onClick(e: MouseEvent): void;
    protected onDblClick(e: MouseEvent): void;
    protected onTouchStart(e: Event): void;
    protected onTouchEnd(e: Event): void;
    protected onWheel(e: WheelEvent): void;
    protected onKeyDown(e: KeyboardEvent): void;
    protected onKeyUp(e: KeyboardEvent): void;
    protected onDragStart(e: DragEvent): void;
    protected onDragOver(e: DragEvent): void;
    protected onDrop(e: DragEvent): void;
    protected onDragEnd(e: DragEvent): void;
    protected onResize(entries: Array<ResizeObserverEntry>): void;
    protected setPointerCapture(pointerId: number): boolean;
    protected releasePointerCapture(pointerId: number): boolean;
}
